Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.smime
Class SMIMECapabilities

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.smime.SMIMECapabilities

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class SMIMECapabilities
extends ASN1Object

Handler class for dealing with S/MIME Capabilities

Field Summary
`static ASN1ObjectIdentifier` | `aes128_CBC`
`static ASN1ObjectIdentifier` | `aes192_CBC`
`static ASN1ObjectIdentifier` | `aes256_CBC` encryption algorithms preferences
`static ASN1ObjectIdentifier` | `canNotDecryptAny`
`static ASN1ObjectIdentifier` | `cast5_CBC`
`static ASN1ObjectIdentifier` | `dES_CBC`
`static ASN1ObjectIdentifier` | `dES_EDE3_CBC`
`static ASN1ObjectIdentifier` | `idea_CBC`
`static ASN1ObjectIdentifier` | `preferSignedData` general preferences
`static ASN1ObjectIdentifier` | `rC2_CBC`
`static ASN1ObjectIdentifier` | `sMIMECapabilitesVersions`

Constructor Summary
`SMIMECapabilities(ASN1Sequence seq)`

Method Summary
`java.util.Vector` | `getCapabilities(ASN1ObjectIdentifier capability)` returns a vector with 0 or more objects of all the capabilities matching the passed in capability OID.
`static SMIMECapabilities` | `getInstance(java.lang.Object o)` return an Attribute object from the given object.
`ASN1Primitive` | `toASN1Primitive()` Produce an object suitable for an ASN1OutputStream.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### preferSignedData

    public static final ASN1ObjectIdentifier preferSignedData

  general preferences

### canNotDecryptAny

    public static final ASN1ObjectIdentifier canNotDecryptAny

### sMIMECapabilitesVersions

    public static final ASN1ObjectIdentifier sMIMECapabilitesVersions

### aes256_CBC

    public static final ASN1ObjectIdentifier aes256_CBC

  encryption algorithms preferences

### aes192_CBC

    public static final ASN1ObjectIdentifier aes192_CBC

### aes128_CBC

    public static final ASN1ObjectIdentifier aes128_CBC

### idea_CBC

    public static final ASN1ObjectIdentifier idea_CBC

### cast5_CBC

    public static final ASN1ObjectIdentifier cast5_CBC

### dES_CBC

    public static final ASN1ObjectIdentifier dES_CBC

### dES_EDE3_CBC

    public static final ASN1ObjectIdentifier dES_EDE3_CBC

### rC2_CBC

    public static final ASN1ObjectIdentifier rC2_CBC

Constructor Detail

### SMIMECapabilities

    public SMIMECapabilities(ASN1Sequence seq)

Method Detail

### getInstance

    public static SMIMECapabilities getInstance(java.lang.Object o)

  return an Attribute object from the given object.

  Parameters:
    `o` - the object we want converted.
  Throws:
    `java.lang.IllegalArgumentException` - if the object cannot be converted.

### getCapabilities

    public java.util.Vector getCapabilities(ASN1ObjectIdentifier capability)

  returns a vector with 0 or more objects of all the capabilities matching the passed in capability OID. If the OID passed is null the entire set is returned.

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Produce an object suitable for an ASN1OutputStream. SMIMECapabilities ::= SEQUENCE OF SMIMECapability

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD